import { RecordPropsDefinition, ComponentOptions } from 'vue/types/options';
declare type DefaultMethods<V> = {
    [key: string]: (this: V, ...args: any[]) => any;
};
declare type DefaultData<V> = object | ((this: V) => LocalizationProviderData);
import { LocalizationProviderProps } from './LocalizationProviderProps';
export interface LocalizationProviderMethods {
    getLocalizationService: () => void;
    getChildContext: () => void;
}
export interface LocalizationProviderData {
}
export interface LocalizationProviderAllMethods extends Vue, LocalizationProviderMethods {
}
/**
 * A Vue component which provides a localization service.
 * Expects a language string as a property of the component.
 */
declare let LocalizationProvider: ComponentOptions<LocalizationProviderAllMethods, DefaultData<LocalizationProviderData>, DefaultMethods<LocalizationProviderAllMethods>, {}, RecordPropsDefinition<LocalizationProviderProps>>;
export { LocalizationProvider };
